{
  "name": "design-patterns",
  "version": "1.0.0",
  "description": "",
  "main": "src/index.ts",
  "scripts": {
    "start": "ts-node src/index.ts",
    "eslint": "eslint --fix --ext .ts .",
    "prettier": "npx prettier --write .",
    "lint": "npm run eslint && npm run prettier",
    "prepare": "husky install"
  },
  "repository": {
    "type": "git",
    "url": "git+ssh://git@gitlab.com/kaique.itisuke/design-patterns.git"
  },
  "author": "",
  "license": "ISC",
  "bugs": {
    "url": "https://gitlab.com/kaique.itisuke/design-patterns/issues"
  },
  "homepage": "https://gitlab.com/kaique.itisuke/design-patterns#readme",
  "devDependencies": {
    "@typescript-eslint/eslint-plugin": "^4.26.1",
    "@typescript-eslint/parser": "^4.26.1",
    "eslint": "^7.28.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-config-standard": "^16.0.3",
    "eslint-plugin-import": "^2.23.4",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^5.1.0",
    "husky": "^6.0.0",
    "lint-staged": "^11.0.0",
    "prettier": "2.3.1",
    "ts-node": "^10.0.0",
    "@commitlint/cli": "^12.1.4",
    "@commitlint/config-conventional": "^12.1.4"
  },
  "dependencies": {
    "class-validator": "^0.13.1"
  },
  "lint-staged": {
    "*.ts": "eslint --cache --fix",
    "**/*": "prettier --write --ignore-unknown"
  }
}
